Name:           targetcli
License:        ASL 2.0
Summary:        Generic SCSI target CLI shell
Version:        2.1.58
Release:        1
URL:            https://github.com/open-iscsi/targetcli-fb
Source:         https://github.com/open-iscsi/targetcli-fb/archive/v%{version}/targetcli-fb-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel python3-setuptools systemd
Requires:       python3-rtslib target-restore python3-configshell python3-six python3-dbus python3-gobject-base

%description
Targetcli is an administration tool for managing storage targets
using the kernel LIO core target and compatible target fabric modules.

%package help
Summary: Help document for the %{name} package

%description help
Help document for the %{name} package.

%prep
%autosetup -n targetcli-fb-%{version} -p1

%build
%py3_build

%install
%py3_install
mkdir -p %{buildroot}%{_sysconfdir}/target/backup
mkdir -p %{buildroot}%{_mandir}/man8/
install -m 644 targetcli*.8 %{buildroot}%{_mandir}/man8/
mkdir -p %{buildroot}%{_unitdir}/
install -m 644 systemd/* %{buildroot}%{_unitdir}/

%files
%doc README.md
%license COPYING
%{python3_sitelib}/targetcli*
%{_bindir}/targetcli
%{_bindir}/targetclid
%{_unitdir}/*
%dir %{_sysconfdir}/target
%dir %{_sysconfdir}/target/backup

%files     help
%{_mandir}/man8/targetcli*.8*

%changelog
* Wed Jul 03 2024 xu_ping <707078654@qq.com> - 2.1.58-1
- Upgrade version to 2.1.58
- Fix mapping the new LUN to the node ACL.
- remove the reference to MAX_LUN. 

* Mon May 13 2024 yanshuai <yanshuai@kylinos.cn> - 2.1.56-3
- fix mapping the new LUN to the node ACL

* Wed May 8 2024 yanshuai <yanshuai@kylinos.cn> - 2.1.56-2
- remove the reference to MAX_LUN

* Mon Jul 24 2023 zhangchenglin <zhangchenglin@kylinos.cn> - 2.1.56-1
- upgrade version to 2.1.56

* Wed Dec 29 2021 wulei <wulei80@huawei.com> - 2.1.54-1
- Package update

* Wed Jul 15 2020 wangyue <wangyue92@huawei.com> - 2.1.fb48-10
- fix unexpected error raised when adding luns 

* Fri Feb 14 2020 lingsheng <lingsheng@huawei.com> - 2.1.fb48-9
- Package int
